dpdk (22.11~1090.gbp969abf) UNRELEASED; urgency=medium

  ** SNAPSHOT build @969abf6c8c1bd8016009f9f192e6f07bd5e9be51 **

  [ MAINTAINER ]
  * Automatic changelog entry generated by CI.

  [ Andrew Rybchenko ]
  * ethdev: factor out helper function to check Rx mempool

  [ Hanumanth Pothula ]
  * ethdev: support multiple mbuf pools per Rx queue
  * net/cnxk: support mulitiple mbuf pools per Rx queue

  [ Morten Brørup ]
  * mempool: fix get objects from mempool with cache

  [ Shijith Thotton ]
  * mbuf: add helper to get/set IOVA address
  * test/dma: use function to get mbuf data IOVA address
  * build: add option to configure IOVA mode as PA
  * mbuf: add second dynamic field member
  * mbuf: move next pointer to first cache line if PA disabled
  * drivers: mark cnxk to support disabling IOVA as PA
  * drivers: mark SW PMDs to support disabling IOVA as PA

  [ Gerry Gribbon ]
  * regexdev: add maximum number of mbuf segments
  * app/regex: display response flags value
  * app/regex: add match mode option
  * regex/mlx5: support stop on first match
  * regex/mlx5: support combined ROF file
  * regex/mlx5: forbid changing maximum match number

  [ Nicolas Chautru ]
  * bbdev: allow operation type enum for growth
  * bbdev: add device status info
  * bbdev: add device info on queue topology
  * drivers/baseband: expose per operation type queues
  * bbdev: add operation for FFT processing
  * bbdev: expose queue related warning and status
  * bbdev: remove unnecessary checks

  [ Gowrishankar Muthukrishnan ]
  * examples/fips_validation: fix memory allocation in AES MCT
  * examples/fips_validation: fix SHA test type parsing
  * examples/fips_validation: share callback with multiple keys
  * examples/fips_validation: add TDES parsing
  * examples/fips_validation: fix crash in SHA MCT
  * examples/fips_validation: fix parsing test group info
  * examples/fips_validation: add interim parse writeback
  * examples/fips_validation: fix SHA hash size calculation
  * examples/fips_validation: fix JSON buffer size
  * crypto/cnxk: support fixed point multiplication

  [ Pablo de Lara ]
  * crypto/ipsec_mb: support all tag sizes for ZUC-EIA3-256

  [ Rahul Bhansali ]
  * examples/ipsec-secgw: free event vector mbufs

  [ Akhil Goyal ]
  * doc: remove deprecation notice for IPsec events

  [ Gagandeep Singh ]
  * doc: remove DPAA2 cmdif raw driver deprecation notice

  [ Ivan Malov ]
  * doc: clarify deprecation status for flow actions PF and VF

  [ Jasvinder Singh ]
  * maintainers: update for sched and softnic

  [ Jun Qiu ]
  * gro: trim tail padding bytes
  * net/bonding: fix Tx hash for TCP

  [ Jie Wang ]
  * net/iavf: fix memory leak in flow subscription

  [ Yuan Wang ]
  * ethdev: introduce protocol header API
  * ethdev: introduce protocol-based buffer split
  * app/testpmd: add protocol-based buffer split
  * net/ice: support buffer split in scalar Rx

  [ Leyi Rong ]
  * member: add NitroSketch mode

  [ Stephen Hemminger ]
  * eal: fix data race in multi-process support
  * app/dumpcap: fix list interfaces

  [ Arshdeep Kaur ]
  * app/dumpcap: fix selecting all interfaces

  [ Ben Magistro ]
  * doc: fix dumpcap interface parameter option

  [ Mário Kuka ]
  * pcapng: fix write more packets than IOV_MAX limit

  [ Markus Theil ]
  * power: read P-state turbo percentage from sysfs

  [ Leyi Rong ]
  * member: fix build with GCC 5.4.0

  [ Tadhg Kearney ]
  * power: add Intel uncore frequency control
  * examples/l3fwd-power: add options for uncore frequency

  [ Dmitry Kozlyuk ]
  * mempool: make event callbacks process-private
  * common/mlx5: fix multi-process mempool registration

  [ Bruce Richardson ]
  * build: increase minimum meson version to 0.53.2
  * build: introduce deprecated libraries
  * kni: flag deprecated status at build time
  * kni: add deprecation warning at runtime

  [ Andrew Rybchenko ]
  * mempool: check driver enqueue result in one place
  * mempool: avoid usage of term ring on put

  [ Zhirun Yan ]
  * graph: fix node objects allocation

  [ Shiqi Liu ]
  * node: check Rx element allocation
  * dma/idxd: check DSA device allocation

  [ David Marchand ]
  * bus/pci: remove VFIO status log in scan

  [ Ruifeng Wang ]
  * config/arm: add Graviton3

  [ Thomas Monjalon ]
  * net/mana: fix dependencies

  [ Nicolas Chautru ]
  * bbdev: fix build with clang 3.4.2

  [ Sean Morrissey ]
  * examples/l3fwd: fix crash after packet match

  [ Nithin Dabilpuram ]
  * examples/l3fwd: fix MTU configuration with event mode

  [ Robin Jarry ]
  * usertools/pmdinfo: rewrite simpler script

  [ Peng Zhang ]
  * buildtools: fix NUMA nodes count

  [ Henning Schild ]
  * devtools: guess checkpatch.pl path

  [ Ray Kinsella ]
  * maintainers: update for ABI management

  [ Thomas Monjalon ]
  * version: 22.11-rc1

  [ Kevin Laatz ]
  * bus/pci: fix memory leak in device cleanup

  [ Zhangfei Gao ]
  * bus/vdev: fix crash in device cleanup

  [ David Marchand ]
  * trace: fix mode for new trace point
  * trace: fix mode change
  * trace: fix leak with regexp
  * trace: rework loop on trace points
  * trace: fix dynamically enabling trace points
  * trace: fix race in debug dump
  * trace: fix metadata dump
  * trace: remove limitation on trace point name
  * trace: remove limitation on directory

  [ Stephen Hemminger ]
  * pdump: do not allow enable/disable in primary process

  [ Erik Gabriel Carrillo ]
  * service: fix early move to inactive status

  [ Stephen Hemminger ]
  * app/dumpcap: fix crash on cleanup
  * app/dumpcap: fix pathname for output file

  [ Arshdeep Kaur ]
  * app/dumpcap: fix select interface

  [ Stephen Hemminger ]
  * app/dumpcap: add file-prefix option

  [ Conor Walsh ]
  * doc: fix reference to dma application example

  [ Olivier Matz ]
  * test/pmd_perf: fix test on devices with no socket ID

  [ Abdullah Sevincer ]
  * event/dlb2: remove COS from port probing
  * event/dlb2: validate producer coremask
  * event/dlb2: remove COS from devargs
  * event/dlb2: fix port COS override calculation

  [ Mattias Rönnblom ]
  * eventdev/crypto: support appropriately report idle
  * eventdev/eth_rx: support appropriately report idle
  * eventdev/eth_tx: support appropriately report idle
  * eventdev/timer: support appropriately report idle

  [ Pavan Nikhilesh ]
  * doc: fix eventdev guide and release notes
  * eventdev: increase xstats ID width to 64 bits

  [ Olivier Matz ]
  * event/sw: fix flow ID init in self test
  * event/sw: fix log in self test

  [ Ganapati Kundapura ]
  * eventdev/crypto: fix multi-process

  [ Abdullah Sevincer ]
  * event/dlb2: fix port COS range allocation

  [ Naga Harish K S V ]
  * eventdev/eth_tx: fix queue delete

  [ Morten Brørup ]
  * mempool: fix cache flushing algorithm

  [ Andrew Rybchenko ]
  * mempool: flush cache completely on overflow

  [ Leyi Rong ]
  * test/member: fix float types

  [ Kumara Parameshwaran ]
  * gro: check payload length after trim

  [ Ilya Maximets ]
  * doc: fix support table for Ethernet/VLAN flow items

  [ Zhipeng Lu ]
  * config/arm: add Phytium TengYun S2500

  [ Ali Alnubani ]
  * lib: remove empty return types from doxygen comments

  [ Jakub Palider ]
  * raw/cnxk_bphy: extend PF function address access

  [ Tadhg Kearney ]
  * power: fix open file descriptors leak

  [ Markus Theil ]
  * power: fix P-state number parsing

  [ Stephen Hemminger ]
  * pcapng: record received RSS hash in pcap file
  * license: fix paths
  * license: add MIT license exception for GVE driver
  * eal: promote interruptible epoll wait as stable
  * log: promote rte_log_list_types as stable
  * rwlock: promote trylock operations as stable

  [ David Marchand ]
  * ci: combine static and shared linking build tests

  [ Chengwen Feng ]
  * ethdev: add error handling mode to device info

  [ Kalesh AP ]
  * ethdev: add proactive error handling mode

  [ Chengwen Feng ]
  * net/hns3: support proactive error handling mode

  [ Kalesh AP ]
  * net/bnxt: support proactive error handling mode

  [ Qiming Yang ]
  * app/testpmd: skip port reset in secondary process

  [ Suanming Mou ]
  * app/testpmd: fix flow template table argument name

  [ Huisong Li ]
  * net/bonding: add link speeds configuration

  [ Usman Tanveer ]
  * net/bonding: fix mode 4 with dedicated queues

  [ Yuan Wang ]
  * app/testpmd: remove unused parameter in Rx header split

  [ Chaoyong He ]
  * net/nfp: support RSS on VXLAN inner layer

  [ Ivan Malov ]
  * net/bonding: fix descriptor limit reporting

  [ Andrew Boyer ]
  * net/ionic: fix endianness for Rx and Tx
  * net/ionic: fix endianness for RSS
  * net/ionic: fix adapter name for logging
  * net/ionic: fix Rx filter save
  * net/ionic: fix reported error stats
  * net/ionic: update documentation and copyrights
  * net/ionic: update supported devices list
  * net/ionic: update license terms to remove GPL
  * net/ionic: update MTU calculations
  * net/ionic: remove doorbell map helper
  * net/ionic: remove unused identifiers
  * net/ionic: allocate interrupts only if required
  * net/ionic: move PCI-specific code to separate file
  * net/ionic: request notifyq interrupt only if supported
  * net/ionic: replace void pointer with actual type
  * net/ionic: free all buffers during Rx queue stop
  * net/ionic: precalculate segment lengths on Rx side
  * net/ionic: use helper variable in Tx
  * net/ionic: do one-time init of Rx descriptors
  * net/ionic: overhaul Rx for performance
  * net/ionic: overhaul Tx for performance
  * net/ionic: support mbuf fast free
  * net/ionic: do bulk allocations of Rx mbufs
  * net/ionic: add lookup table for packet type
  * net/ionic: add lookup table for checksum flags
  * net/ionic: advertise supported packet types
  * net/ionic: support Rx descriptor status
  * net/ionic: support Tx descriptor status
  * net/ionic: add Q-in-CMB option
  * net/ionic: use calloc for array allocations
  * net/ionic: add alignment and socket info in allocations
  * net/ionic: allow to specify Tx free threshold
  * net/ionic: add optimized non-scattered Rx/Tx
  * net/ionic: use helper variable for page size
  * net/ionic: retry init commands up to five times
  * net/ionic: add watchdogs to protect each queue type

  [ Ivan Malov ]
  * net/bonding: make configure method re-entrant
  * net/bonding: fix flow flush order on close

  [ Chengwen Feng ]
  * net/bonding: call Tx prepare before Tx burst
  * app/testpmd: remove jumbo offload

  [ Peng Zhang ]
  * net/nfp: fix internal buffer size and MTU check

  [ Chaoyong He ]
  * net/nfp: fix CPP bridge service requirement
  * net/nfp: fix infinite loop
  * net/nfp: add structures and functions for flow offload
  * net/nfp: add stats logic in ctrl VNIC service
  * net/nfp: support flow API
  * net/nfp: support basic flow items
  * net/nfp: support basic flow actions
  * net/nfp: support VLAN flow item
  * net/nfp: support IPv4 flow item
  * net/nfp: support IPv6 flow item
  * net/nfp: support TCP flow item
  * net/nfp: support UDP flow item
  * net/nfp: support SCTP flow item
  * net/nfp: support MAC source flow action
  * net/nfp: support MAC destination flow action
  * net/nfp: support VLAN pop flow action
  * net/nfp: support VLAN push flow action
  * net/nfp: support IPv4 source flow action
  * net/nfp: support IPv4 destination flow action
  * net/nfp: support IPv6 source flow action
  * net/nfp: support IPv6 destination flow action
  * net/nfp: support TP source flow action
  * net/nfp: support TP destination flow action
  * net/nfp: support TTL flow action
  * net/nfp: support IPv4 DSCP flow action
  * net/nfp: support IPv6 DSCP flow action
  * net/nfp: fix promiscuous mode for representor port
  * net/nfp: fix CPP bridge service exit
  * net/nfp: support IPv4 VXLAN flow item
  * net/nfp: support IPv6 VXLAN flow item
  * net/nfp: prepare for IPv4 tunnel encap flow action
  * net/nfp: prepare for IPv6 tunnel encap flow action
  * net/nfp: support IPv4 VXLAN encap flow action
  * net/nfp: support IPv6 VXLAN encap flow action
  * net/nfp: prepare for IPv4 UDP tunnel decap flow action
  * net/nfp: prepare for IPv6 UDP tunnel decap flow action
  * net/nfp: support IPv4 VXLAN decap flow action
  * net/nfp: support IPv6 VXLAN decap flow action
  * net/nfp: support IPv4 GENEVE encap flow action
  * net/nfp: support IPv6 GENEVE encap flow action
  * net/nfp: support IPv4 GENEVE flow item
  * net/nfp: support IPv6 GENEVE flow item
  * net/nfp: support IPv4 GENEVE decap flow action
  * net/nfp: support IPv6 GENEVE decap flow action
  * net/nfp: support IPv4 NVGRE encap flow action
  * net/nfp: support IPv6 NVGRE encap flow action
  * net/nfp: prepare for IPv4 GRE tunnel decap flow action
  * net/nfp: prepare for IPv6 GRE tunnel decap flow action
  * net/nfp: support IPv4 NVGRE flow item
  * net/nfp: support IPv6 NVGRE flow item
  * net/nfp: support IPv4 NVGRE decap flow action
  * net/nfp: support IPv6 NVGRE decap flow action
  * net/nfp: support new solution for tunnel decap action

  [ Junfeng Guo ]
  * net/gve/base: introduce Google Virtual Ethernet base
  * net/gve/base: add OS-specific implementation
  * net/gve: support device initialization
  * net/gve: support link update
  * net/gve: support MTU setting
  * net/gve: support device info and configure
  * net/gve: support queue operations
  * net/gve: support Rx/Tx

  [ Ferruh Yigit ]
  * net/mana: disable driver by default

  [ Huang Wei ]
  * vdpa/ifc: add PCI ID for legacy network device

  [ Andy Pei ]
  * vdpa/ifc: support multi-queue
  * vdpa/ifc: set max queues based on virtio spec
  * vdpa/ifc: write queue count to MQ register
  * vdpa/ifc: configure only enabled queue

  [ Huang Wei ]
  * vdpa/ifc: support dynamic enable/disable queue

  [ Andy Pei ]
  * vdpa/ifc: rename a function
  * vdpa/ifc: add function to get device
  * vdpa/ifc: improve internal list logic
  * vhost: add type to vDPA device
  * vhost: get ready with first queue of block device
  * vhost: improve vDPA block device configure condition

  [ Xuan Ding ]
  * vhost: introduce DMA vChannel unconfiguration
  * examples/vhost: unconfigure DMA vChannel

  [ Olivier Matz ]
  * net/virtio: add queue and port ID in some logs

  [ Changpeng Liu ]
  * vhost: add non-blocking API for posting interrupt

  [ Cheng Jiang ]
  * vhost: fix descriptor count in async packed ring
  * vhost: fix slot index in async Tx

  [ Maxime Coquelin ]
  * vhost: promote per-queue stats API to stable

  [ Olivier Matz ]
  * net/virtio: remove declaration of undefined function

  [ Markus Theil ]
  * build: select applications to build
  * build: export include directories list

  [ Dong Zhou ]
  * net/mlx5: fix thread workspace memory leak

  [ Michael Savisko ]
  * common/mlx5: add send to kernel flow action
  * net/mlx5: add flow action stub for send to kernel
  * net/mlx5: add send to kernel action resource holder
  * net/mlx5: support flow action send to kernel

  [ Suanming Mou ]
  * net/mlx5: split flow item translation
  * net/mlx5: split flow item matcher and value translation
  * net/mlx5: add hardware steering item translation

  [ Dariusz Sosnowski ]
  * net/mlx5: add port to metadata conversion

  [ Bing Zhao ]
  * common/mlx5: query capability of registers
  * net/mlx5: provide available tag registers

  [ Alex Vesker ]
  * common/mlx5: add glue functions for hardware steering

  [ Erez Shitrit ]
  * net/mlx5/hws: add command layer
  * net/mlx5/hws: add pool and buddy

  [ Alex Vesker ]
  * net/mlx5/hws: add send layer
  * net/mlx5/hws: add definer layer
  * net/mlx5/hws: add context object
  * net/mlx5/hws: add table object
  * net/mlx5/hws: add matcher object
  * net/mlx5/hws: add rule object

  [ Erez Shitrit ]
  * net/mlx5/hws: add action object

  [ Hamdan Igbaria ]
  * net/mlx5/hws: add debug layer

  [ Alex Vesker ]
  * net/mlx5/hws: enable hardware steering

  [ Suanming Mou ]
  * net/mlx5: fix steering engine type check
  * net/mlx5: fix IPv6 and TCP RSS hash fields
  * net/mlx5: add shared header reformat
  * net/mlx5: support flow modify field with HWS

  [ Dariusz Sosnowski ]
  * net/mlx5: support flow port action with HWS

  [ Bing Zhao ]
  * net/mlx5: add extended metadata mode for HWS

  [ Alexander Kozyrev ]
  * net/mlx5: support flow meter action for HWS

  [ Xiaoyu Min ]
  * net/mlx5: support flow counter action for HWS

  [ Dariusz Sosnowski ]
  * net/mlx5: support Direct Rules action template API

  [ Suanming Mou ]
  * net/mlx5: support connection tracking with HWS

  [ Gregory Etelson ]
  * net/mlx5: support VLAN push/pop/modify with HWS

  [ Alexander Kozyrev ]
  * net/mlx5: support flow meter mark indirect action with HWS

  [ Michael Baum ]
  * net/mlx5: support flow age action with HWS

  [ Suanming Mou ]
  * net/mlx5: support async flow action push and pull

  [ Gregory Etelson ]
  * net/mlx5: support flow integrity in HWS group 0

  [ Dariusz Sosnowski ]
  * net/mlx5: support device control for E-Switch default rule
  * net/mlx5: support device control of representor matching
  * net/mlx5: create control flow rules with HWS

  [ Gregory Etelson ]
  * net/mlx5: fix RSS expansion buffer size

  [ Sean Zhang ]
  * net/mlx5: support flow matching on representor ID

  [ Jiawei Wang ]
  * net/mlx5: fix tunnel header with IPIP offload

  [ Michael Baum ]
  * common/mlx5: fix null check in devargs parsing
  * net/mlx5: fix null check in devargs parsing

  [ Thomas Monjalon ]
  * doc: add Rx buffer split capability for mlx5

  [ Bruce Richardson ]
  * maintainers: update for flow classification and IPsec

  [ David Marchand ]
  * flow_classify: mark library as deprecated

  [ Megha Ajmera ]
  * sched: fix subport profile configuration
  * examples/qos_sched: fix number of subport profiles
  * examples/qos_sched: support higher rates for subport/pipe

  [ Olivier Matz ]
  * net/ixgbe: fix broadcast Rx on VF after promisc removal
  * net/ixgbe: fix unexpected VLAN Rx in promisc mode on VF

  [ Steve Yang ]
  * net/iavf: fix tainted scalar

  [ Tomasz Jonak ]
  * net/ice: fix null function pointer call

  [ Radu Nicolau ]
  * net/iavf: fix IPsec flow create error check

  [ Jie Wang ]
  * net/iavf: support raw packet for flow subscription

  [ Simei Su ]
  * net/iavf: fix default Rx timestamp offloading

  [ Radu Nicolau ]
  * net/iavf: fix SPI check

  [ David MacDougal ]
  * net/ice: fix module EEPROM read

  [ Radu Nicolau ]
  * net/iavf: fix security session destroy
  * net/ixgbe: fix security session destroy
  * net/txgbe: fix security session destroy

  [ Yuan Wang ]
  * net/ice: fix judgment order of buffer split

  [ Steve Yang ]
  * net/ice: support DDP dump switch rule binary

  [ Yiding Zhou ]
  * net/iavf: add thread for event callbacks

  [ Radu Nicolau ]
  * net/iavf: fix queue stop for large VF

  [ Mingjin Ye ]
  * net/ice: support VXLAN-GPE tunnel offload

  [ Radu Nicolau ]
  * net/iavf: fix handling of IPsec events

  [ Sunil Kumar Kori ]
  * common/cnxk: support congestion management ROC API
  * net/cnxk: support congestion management operations

  [ Sathesh Edara ]
  * common/cnxk: set MTU size on SDP based on SoC type

  [ Nithin Dabilpuram ]
  * common/cnxk: add soft expiry poll frequency argument
  * net/cnxk: fix later skip to include mbuf private data
  * net/cnxk: use NIX Tx offset for CN10KB
  * common/cnxk: fix RQ mask config for CN10KB chip

  [ Satha Rao ]
  * common/cnxk: fix schedule weight update
  * common/cnxk: sync NIX HW info mbox structure with kernel
  * common/cnxk: set hysteresis bit to one

  [ Vamsi Attunuru ]
  * net/cnxk: handle SA soft packet and byte expiry events

  [ Sunil Kumar Kori ]
  * common/cnxk: fix channel to BPID mapping

  [ Nithin Dabilpuram ]
  * net/cnxk: remove unnecessary DPTR update
  * net/cnxk: remove duplicate mempool debug checks

  [ Vamsi Attunuru ]
  * net/cnxk: handle SA hard expiry events

  [ Michael Baum ]
  * ethdev: add strict queue to pre-configuration flow hints
  * ethdev: add queue-based API to report aged flow rules
  * ethdev: add structure for indirect flow age update

  [ Stephen Hemminger ]
  * maintainers: update for Microsoft vmbus and netvsc

  [ Morten Brørup ]
  * mempool: align cache objects on cache lines

  [ Tal Shnaiderman ]
  * net/mlx5: fix thread termination check on Windows

  [ Thomas Monjalon ]
  * common/mlx5: fix disabling build
  * common/mlx5: move build config initialization and check

  [ Volodymyr Fialko ]
  * examples/ipsec-secgw: initialize event crypto adapter
  * examples/ipsec-secgw: add queue for event crypto adapter
  * examples/ipsec-secgw: add lookaside event mode
  * examples/ipsec-secgw: add event mode statistics
  * examples/ipsec-secgw: support event vector in lookaside mode
  * examples/ipsec-secgw: reduce queues for event lookaside

  [ Nicolas Chautru ]
  * baseband/turbo_sw: remove Flexran SDK build option

  [ Ali Alnubani ]
  * examples/l2fwd-crypto: fix typo in error message

  [ Brian Dooley ]
  * crypto/qat: reallocate on OpenSSL version check
  * examples/fips_validation: add parsing for AES-GMAC
  * examples/fips_validation: add parsing for AES-CTR

  [ Srujana Challa ]
  * common/cnxk: add CPT LF reset sequence

  [ Ciara Power ]
  * test/crypto: fix wireless auth digest segment
  * crypto/ipsec_mb: support remaining SGL
  * test/crypto: add OOP SNOW3G SGL cases
  * test/crypto: add remaining blockcipher SGL cases

  [ Gowrishankar Muthukrishnan ]
  * examples/fips_validation: add asymmetric validation
  * examples/fips_validation: encode digest with hash OID
  * examples/fips_validation: randomize message for conformance test
  * crypto/cnxk: support exponent type private key

  [ Anoob Joseph ]
  * crypto/cnxk: align HW accessible fields to ROC
  * crypto/cnxk: fix IPsec with CN9K

  [ Nicolas Chautru ]
  * baseband/acc100: remove unused registers
  * baseband/acc100: refactor to segregate common code
  * baseband/acc: rename directory from acc100 to acc
  * baseband/acc200: introduce ACC200
  * baseband/acc200: add HW register definitions
  * baseband/acc200: add info query
  * baseband/acc200: add queue configuration
  * baseband/acc200: add LDPC processing
  * baseband/acc200: add LTE processing
  * baseband/acc200: support FFT
  * baseband/acc200: support interrupt
  * baseband/acc200: add device status and VF2PF communication
  * baseband/acc200: add PF configuration
  * baseband/acc: remove dependencies not required
  * baseband/acc: add descriptor index helpers

  [ Hernan Vargas ]
  * baseband/acc100: fix ring availability calculation
  * baseband/acc100: check AQ availability
  * baseband/acc100: fix memory leak
  * baseband/acc100: add LDPC encoder padding function
  * baseband/acc100: check turbo dec/enc input
  * baseband/acc100: add null checks
  * baseband/acc100: enforce additional check on FCW
  * baseband/acc100: fix ring/queue allocation
  * baseband/acc100: fix input length for CRC24B
  * baseband/acc100: fix clearing PF IR outside handler
  * baseband/acc100: fix device minimum alignment
  * baseband/acc100: fix null HARQ input case
  * baseband/acc100: fix close cleanup
  * baseband/acc100: update debug print for LDPC FCW
  * baseband/acc100: add enqueue status
  * baseband/acc100: support scatter-gather
  * baseband/acc100: add HARQ index helper function
  * baseband/acc100: enable input validation by default
  * baseband/acc100: support LDPC transport block
  * baseband/acc100: update LDPC enc/dec validation
  * baseband/acc100: implement configurable queue depth
  * baseband/acc100: add queue stop operation
  * baseband/acc100: update uplink CB input length
  * baseband/acc100: update log messages
  * baseband/acc100: store FCW from first CB descriptor
  * baseband/acc100: update device info
  * baseband/acc100: add ring companion address
  * baseband/acc100: configure PMON control registers

  [ Arek Kusztal ]
  * crypto/qat: fix asymmetric session cookie clearing
  * crypto/qat: fix unnecessary asymmetric session check
  * crypto/qat: fix RSA length
  * common/qat: read HW slice configuration
  * crypto/qat: read HW slice configuration

  [ Tejasree Kondoj ]
  * crypto/cnxk: fix AES-CMAC length
  * common/cnxk: set in-place bit of lookaside IPsec
  * crypto/cnxk: update capabilities as per firmware
  * common/cnxk: support 103XX CPT

  [ Vidya Sagar Velumuri ]
  * common/cnxk: support custom UDP port values
  * crypto/cnxk: update lookaside RLEN calculation
  * crypto/cnxk: support DES and MD5 for IPsec offload
  * common/cnxk: generate MD5 ipad opad

  [ Tejasree Kondoj ]
  * crypto/cnxk: support PDCP AAD in CPT

  [ Vidya Sagar Velumuri ]
  * crypto/cnxk: acquire lock for anti-replay

  [ Anoob Joseph ]
  * crypto/cnxk: verify IV length during session create
  * crypto/cnxk: remove dead code

  [ Vidya Sagar Velumuri ]
  * test/security: add DES and 3DES cases
  * test/security: add MD5 cases
  * test/security: update anti-replay cases for event mode
  * test/crypto: check anti-replay capability in ingress
  * test/crypto: add DES and MD5 cases
  * test/crypto: add custom UDP ports cases

  [ Anoob Joseph ]
  * test/crypto: fix PDCP vectors

  [ Nicolas Chautru ]
  * test/bbdev: add FFT operations cases

  [ Gowrishankar Muthukrishnan ]
  * examples/fips_validation: fix GMAC decryption output
  * examples/fips_validation: validate ECDSA

  [ Arek Kusztal ]
  * crypto/qat: make immutable parameters constant
  * crypto/qat: improve asymmetric cookies free
  * crypto/qat: add ECDH key exchange algorithm
  * crypto/qat: add ECDH public key verification

  [ Kai Ji ]
  * crypto/qat: fix multi-process build request session
  * crypto/ipsec_mb: add multi-process IPC request handler

  [ Ciara Power ]
  * test/crypto-perf: fix number of scheduler sessions
  * crypto/scheduler: fix session in size-based distribution

  [ Nithin Dabilpuram ]
  * test/security: add multi-segment inline IPsec cases

  [ Radu Nicolau ]
  * examples/ipsec-secgw: fix Tx checksum offload flag

  [ Brian Dooley ]
  * examples/fips_validation: fix block parsing

  [ Zhangfei Gao ]
  * crypto/uadk: introduce HiSilicon UADK crypto driver
  * crypto/uadk: support basic operations
  * crypto/uadk: support enqueue/dequeue operations
  * crypto/uadk: support cipher algorithms
  * crypto/uadk: support auth algorithms
  * test/crypto: support UADK PMD

  [ Rahul Bhansali ]
  * examples/ipsec-secgw: support per SA HW reassembly

  [ Brian Dooley ]
  * crypto/qat: fix null hash algorithm digest size

  [ Nicolas Chautru ]
  * doc: include bbdev code snippet using literal include

  [ Junfeng Guo ]
  * common/idpf: introduce common library
  * net/idpf: support device initialization
  * net/idpf: add Tx queue setup
  * net/idpf: add Rx queue setup
  * net/idpf: support device start and stop
  * net/idpf: support queue start
  * net/idpf: support queue stop
  * net/idpf: support queue release
  * net/idpf: support MTU configuration
  * net/idpf: support basic Rx data path
  * net/idpf: support basic Tx data path
  * net/idpf: support parsing packet type
  * net/idpf: support write back based on ITR expire
  * net/idpf: support RSS
  * net/idpf: support Rx offloading
  * net/idpf: support Tx offloading
  * net/idpf: add AVX512 data path for single queue model
  * net/idpf: support timestamp offload

  [ Pavan Nikhilesh ]
  * examples/l3fwd: fix port group mask with AltiVec
  * examples/l3fwd: split processing and send stages
  * examples/l3fwd: use LPM vector path for event vector
  * examples/l3fwd: fix event vector processing in FIB
  * examples/l3fwd: use EM vector path for event vector

  [ Abdullah Ömer Yamaç ]
  * examples/distributor: update dynamic configuration

  [ Chengwen Feng ]
  * usertools/telemetry: add JSON pretty print

  [ Stephen Hemminger ]
  * doc: update required Linux kernel version to 4.14

  [ Ali Alnubani ]
  * devtools: check for supported git version

  [ Jay Jayatheerthan ]
  * maintainers: update for eventdev Rx/Tx adapters

  [ Bing Zhao ]
  * net/mlx5: fix build with recent compilers

  [ Thomas Monjalon ]
  * version: 22.11-rc2

  [ Rahul Bhansali ]
  * examples/l2fwd: check Rx packets count

  [ Juraj Linkeš ]
  * dts: add tools configuration
  * dts: add code formatting and check

  [ Owen Hilyard ]
  * dts: add config parser

  [ Juraj Linkeš ]
  * dts: add basic logging
  * dts: add remote session abstraction
  * dts: add SSH session
  * dts: add node base class
  * dts: add workflow module
  * dts: add executable script

  [ Morten Brørup ]
  * mempool: split stats from debug mode
  * mempool: add stats for unregistered non-EAL threads
  * mempool: use cache for frequently updated stats

  [ Junfeng Guo ]
  * net/gve: fix Rx/Tx queue dereference before null check

  [ Andrew Boyer ]
  * net/ionic: fix sign extension in queue allocation
  * net/ionic: fix false positive forward-null in Tx

  [ Chaoyong He ]
  * net/nfp: fix out-of-bounds write for VXLAN

  [ Ivan Malov ]
  * net/bonding: fix device configure reentrancy
  * net/bonding: set initial value of descriptor count alignment

  [ Huisong Li ]
  * net/bonding: fix slave device Rx/Tx offload configuration

  [ Gregory Etelson ]
  * app/testpmd: fix MAC header in checksum forward engine

  [ Nathan Skrzypczak ]
  * net/memif: increase link speed to 100G

  [ Huisong Li ]
  * net/bonding: fix dropping valid MAC packets
  * app/testpmd: update bonding configuration for new slave

  [ Stephen Hemminger ]
  * app/testpmd: make quit flag volatile

  [ Huisong Li ]
  * net/bonding: fix mbuf fast free handling

  [ Alexander Kozyrev ]
  * app/testpmd: fix flow list with async flow API

  [ Yuan Wang ]
  * app/testpmd: fix protocol header list for Rx buffer split

  [ Hanumanth Pothula ]
  * app/testpmd: support multiple mbuf pools per Rx queue

  [ Junfeng Guo ]
  * net/gve: support queue release

  [ Jerin Jacob ]
  * eal: fix doxygen comments for UUID
  * power: fix some doxygen comments

  [ Tadhg Kearney ]
  * power: fix double free of opened files

  [ Jun Qiu ]
  * hash: fix RCU configuration memory leak

  [ Vladimir Medvedkin ]
  * test/hash: remove dead code in extendable bucket test
  * test/hash: fix bulk lookup check

  [ Bing Zhao ]
  * bus/auxiliary: prevent device from being probed again

  [ Thomas Monjalon ]
  * common/mlx5: use build configuration dictionary

  [ David Marchand ]
  * build: list selected applications

  [ Thomas Monjalon ]
  * maintainers: group service cores files
  * maintainers: update for pmdinfo tool

  [ Abdullah Ömer Yamaç ]
  * drivers: omit symbol map when unneeded

  [ Alex Vesker ]
  * net/mlx5/hws: remove deprecated rte_atomic

  [ Suanming Mou ]
  * net/mlx5: enable queue flow aging action

  [ Michael Baum ]
  * net/mlx5: fix race condition in counter pool resizing
  * net/mlx5: fix counter access for HWS
  * net/mlx5: fix counter elements copies for HWS
  * net/mlx5: add assertions in counter get/put for HWS
  * net/mlx5: assert for enough space in counter rings

  [ Shun Hao ]
  * net/mlx5: fix action flag data type

  [ Jiawei Wang ]
  * net/mlx5: fix source port checking in sample flow rule
  * net/mlx5: fix mirror flow validation with ASO action

  [ Dariusz Sosnowski ]
  * net/mlx5: forbid direction attribute in transfer flow rules

  [ Gregory Etelson ]
  * common/mlx5: fix shared mempool subscription

  [ Shun Hao ]
  * net/mlx5: fix match mask for meter flow

  [ Suanming Mou ]
  * net/mlx5: fix flow table and queue routine on Windows

  [ Spike Du ]
  * net/mlx5: fix testpmd quit with available desc threshold

  [ Alexander Kozyrev ]
  * net/mlx5: fix shared Rx queue config reuse

  [ Alex Vesker ]
  * net/mlx5/hws: fix possible negative return on SQ create
  * net/mlx5/hws: fix crash with maximum action combination
  * net/mlx5/hws: fix action creation check
  * net/mlx5/hws: fix capability check on non eswitch manager

  [ Dariusz Sosnowski ]
  * net/mlx5: fix hairpin split with set VLAN VID action

  [ Shun Hao ]
  * net/mlx5: fix representor item with meter
  * net/mlx5: fix meter hierarchy with modify header
  * net/mlx5: fix meter policy with port ID destination

  [ Alexander Kozyrev ]
  * net/mlx5: fix first segment inline length

  [ Suanming Mou ]
  * net/mlx5: remove unneeded GENEVE option length assert

  [ Shun Hao ]
  * net/mlx5: fix assert when creating meter policy

  [ Viacheslav Ovsiienko ]
  * net/mlx5/hws: fix timestamp format on Tx queue creation

  [ Erez Shitrit ]
  * net/mlx5/hws: fix order of destroying default tables
  * net/mlx5/hws: fix disconnecting matcher

  [ Alexander Kozyrev ]
  * net/mlx5: fix indexed pool local cache crash

  [ Gregory Etelson ]
  * net/mlx5: fix port initialization with small LRO

  [ Michael Baum ]
  * net/mlx5: fix port event cleaning order

  [ Rongwei Liu ]
  * net/mlx5: fix marks on Rx packets

  [ Shun Hao ]
  * net/mlx5: fix drop action validation

  [ Gregory Etelson ]
  * common/mlx5: fix DevX register read error severity

  [ Suanming Mou ]
  * app/testpmd: flush flow templates when port is removed

  [ Ajit Khaparde ]
  * doc: update Broadcom bnxt guide

  [ Beilei Xing ]
  * net/idpf: fix build on CentOS 7
  * common/idpf/base: add readme file

  [ Zhichao Zeng ]
  * net/iavf: fix Tx descriptors for IPsec

  [ Steve Yang ]
  * net/iavf: fix refine protocol header

  [ Beilei Xing ]
  * doc: fix product name for idpf driver

  [ Yiding Zhou ]
  * net/ice/base: fix duplicate flow rules

  [ Wenzhuo Lu ]
  * net/iavf: fix VLAN offload

  [ Mingjin Ye ]
  * net/i40e: fix pctype configuration for X722

  [ Beilei Xing ]
  * net/idpf: fix TSO
  * net/idpf: fix memory leak in Tx queue release

  [ Mingxia Liu ]
  * common/idpf/base: fix tainted scalar
  * common/idpf/base: fix possible null dereference

  [ Jie Wang ]
  * net/i40e: fix jumbo frame Rx with X722

  [ Steve Yang ]
  * net/iavf: fix tainted scalar

  [ Mingjin Ye ]
  * net/ice: fix scalar Rx path segment

  [ Kaiwen Deng ]
  * net/ixgbe: fix drop queue index

  [ Mingjin Ye ]
  * net/ice: fix scalar Tx path segment

  [ Qiming Yang ]
  * doc: update matching list for i40e and ice drivers

  [ Yiding Zhou ]
  * net/iavf: revert VLAN insertion fix

  [ Frank Du ]
  * net/ice: fix interrupt handler unregister

  [ David Marchand ]
  * ci: bump versions of actions in GHA
  * ci: update to new API for step outputs in GHA

  [ Mattias Rönnblom ]
  * doc: fix event timer adapter guide

  [ Pavan Nikhilesh ]
  * event/cnxk: fix mbuf offset calculation

  [ Volodymyr Fialko ]
  * app/eventdev: fix limits in error message

  [ Ferruh Yigit ]
  * event/dlb2: fix Meson build

  [ Pavan Nikhilesh ]
  * event/cnxk: fix missing mempool cookie marking

  [ Volodymyr Fialko ]
  * app/eventdev: setup crypto adapter before sessions
  * app/eventdev: fix asymmetric last stage handling
  * app/eventdev: fix timestamp with crypto producer

  [ Srikanth Yalavarthi ]
  * app/bbdev: use helper function to set IOVA address

  [ Kai Ji ]
  * crypto/ipsec_mb: fix null checks

  [ Ciara Power ]
  * crypto/scheduler: fix session retrieval

  [ Nicolas Chautru ]
  * baseband/acc200: fix LTE half iteration flag
  * baseband/acc: fix possible overflow in queue release
  * baseband/acc200: fix access corner case

  [ Hernan Vargas ]
  * baseband/acc100: fix PMon register values
  * baseband/acc: fix double MSI interrupt in TB mode
  * baseband/acc100: remove redundant function

  [ Brian Dooley ]
  * crypto/qat: fix reallocate OpenSSL version check
  * examples/fips_validation: fix GMAC IV generation

  [ Nicolas Chautru ]
  * baseband/acc200: fix possible negative shift

  [ Kai Ji ]
  * crypto/ipsec_mb: fix multiprocess request registration

  [ Anoob Joseph ]
  * app/security-perf: add session performance test

  [ Hernan Vargas ]
  * baseband/acc100: detect deRM corner cases

  [ Ciara Power ]
  * crypto/ipsec_mb: fix queue setup in secondary process

  [ Arek Kusztal ]
  * common/qat: fix undefined initial slice

  [ Pablo de Lara ]
  * examples/fips_validation: fix typo in error log

  [ Aakash Sasidharan ]
  * test/crypto: add 3DES IPsec cases

  [ Ruifeng Wang ]
  * doc: announce IPsec support on ARM

  [ Nicolas Chautru ]
  * baseband/acc100: fix input error related to padding

  [ Volodymyr Fialko ]
  * examples/ipsec-secgw: fix Tx offloads initialization

  [ Ashwin Sekhar T K ]
  * mempool/cnxk: fix destroying empty pool

  [ David Marchand ]
  * cleanup compat header inclusions

  [ Fan Zhang ]
  * maintainers: update for crypto and compressdev

  [ Dongdong Liu ]
  * doc: fix application name in procinfo guide
  * doc: document device dump in procinfo guide
  * app/procinfo: remove doxygen comments

  [ Min Hu (Connor) ]
  * app/procinfo: dump DPDK version

  [ Dongdong Liu ]
  * app/procinfo: dump firmware version

  [ Min Hu (Connor) ]
  * app/procinfo: dump RSS RETA
  * app/procinfo: dump module EEPROM info

  [ Jie Hai ]
  * app/procinfo: add burst mode to Rx/Tx queue info

  [ Dongdong Liu ]
  * app/procinfo: dump detailed info for Rx/Tx descriptors

  [ Stephen Hemminger ]
  * drivers/net: remove unnecessary null checks
  * examples: remove unnecessary null checks

  [ Beilei Xing ]
  * net/idpf: stop before closing device

  [ Anoob Joseph ]
  * test/crypto: reset device after asym tests

  [ Kai Ji ]
  * test/crypto: fix bitwise operator in a SNOW3G case

  [ Ciara Power ]
  * app/crypto-perf: fix number of sessions for cores
  * app/crypto-perf: replace slave with worker

  [ Reshma Pattan ]
  * doc: add removal warning for power empty poll API

  [ Pavan Nikhilesh ]
  * doc: update Linux core isolation guide

  [ Stephen Coleman ]
  * doc: fix typo depreciated instead of deprecated

  [ Luca Boccassi ]
  * drivers: fix typos found by Lintian

  [ Stephen Hemminger ]
  * doc: add signal safety warning
  * doc: fix net drivers ordering

  [ Haiyue Wang ]
  * ring: fix description

  [ Stephen Hemminger ]
  * ring: remove leftover comment about watermark

  [ David Marchand ]
  * devtools: catch empty symbol maps

  [ Thomas Monjalon ]
  * version: 22.11-rc3

  [ Abhishek Maheshwari ]
  * vdpa/ifc/base: wait for disabling before saving queue state

  [ Taekyung Kim ]
  * vdpa/ifc: handle data path update failure

  [ David Marchand ]
  * service: fix build with clang 15
  * vhost: fix build with clang 15
  * bus/dpaa: fix build with clang 15
  * net/atlantic: fix build with clang 15
  * net/dpaa2: fix build with clang 15
  * net/ice: fix build with clang 15
  * app/testpmd: fix build with clang 15
  * app/testpmd: fix build with clang 15 in flow code
  * test/efd: fix build with clang 15
  * test/member: fix build with clang 15
  * test/event: fix build with clang 15

  [ Zhichao Zeng ]
  * net/iavf: support VXLAN-GPE tunnel offload

  [ Olivier Matz ]
  * net/ixgbevf: fix promiscuous and allmulti

  [ Beilei Xing ]
  * net/idpf: fix port start
  * net/idpf: add supported packet types

  [ Lingli Chen ]
  * doc: add tested Intel platforms with Intel NICs

  [ Beilei Xing ]
  * net/idpf: fix checks in multi-queue config and stop

  [ Michael Baum ]
  * net/mlx5: fix error log in async flow destruction

  [ Suanming Mou ]
  * net/mlx5: fix GENEVE resource management

  [ Dariusz Sosnowski ]
  * net/mlx5: fix VLAN push action mask iteration

  [ Gregory Etelson ]
  * net/mlx5: fix maximum LRO message size
  * doc: add LRO size limitation in mlx5 guide

  [ Dariusz Sosnowski ]
  * net/mlx5: fix modify field action validation

  [ Michael Baum ]
  * net/mlx5: fix port closing

  [ Raslan Darawsheh ]
  * compress/mlx5: add Bluefield-3 device ID

  [ Matan Azrad ]
  * doc: improve event core description in vDPA mlx5

  [ Raslan Darawsheh ]
  * doc: add tested platforms with NVIDIA NICs

  [ Michael Baum ]
  * doc: fix underlines in testpmd guide
  * doc: fix colons in testpmd aged flow rules
  * doc: fix spaces in testpmd flow syntax
  * doc: fix blank line in release notes
  * doc: add mlx5 HWS aging to release notes
  * doc: add async flow pre-config flags to release notes

  [ Dariusz Sosnowski ]
  * net/mlx5: fix log level of transfer proxy stop failure
  * net/mlx5: document E-Switch limitations with HWS
  * ethdev: explicit some errors of port start and stop

  [ Chaoyong He ]
  * net/nfp: fix mask table free
  * net/nfp: fix Rx descriptor DMA address
  * net/nfp: fix Rx descriptor DMA address for PF
  * net/nfp: fix Rx descriptor DMA address for VNIC

  [ Suanming Mou ]
  * app/testpmd: fix async action destruction leak

  [ Hanumanth Pothula ]
  * app/testpmd: add option to fix multi-mempool check

  [ Fei Qin ]
  * net/nfp: fix return path in TSO processing

  [ Brian Dooley ]
  * doc: update QAT device support

  [ Pablo de Lara ]
  * doc: support IPsec Multi-buffer lib v1.3

  [ Yogesh Jangra ]
  * pipeline: fix validate header instruction

  [ Thomas Monjalon ]
  * drivers: remove unused build variable

  [ Yi Li ]
  * doc: fix maximum packet size of virtio driver

  [ Luca Boccassi ]
  * doc: make API generator scripts executables
  * doc: sort file lists in API generators

  [ David Marchand ]
  * bus/pci: fix leak with multiple bus scan

  [ Stephen Hemminger ]
  * doc: avoid meson deprecation in setup

  [ Thomas Monjalon ]
  * usertools/hugepages: show usage if no action specified
  * version: 22.11-rc4
  * devtools: set DTS directory in format check

  [ Olivier Matz ]
  * devtools: fix checkpatch header retrieval from stdin

  [ Jakub Palider ]
  * devtools: check commit tag sequence

  [ Thomas Monjalon ]
  * doc: update deprecation notice of legacy flow actions
  * doc: update deprecation notice of flow items

  [ John McNamara ]
  * doc: update release notes for 22.11

  [ Ferruh Yigit ]
  * doc: note KNI alternatives

  [ Christian Ehrhardt ]
  * devtools: update filter criteria for backports
  * devtools: report commit ID on partial fixes

  [ Bruce Richardson ]
  * mailmap: add list of contributors

  [ Thomas Monjalon ]
  * version: 22.11.0

  [ Nipun Gupta ]
  * PVT: disable cnxk drivers
  * PVT: net/tap: change few logs to debug
  * UP: bus/fslmc: mark dpcon_close as internal symbol

  [ Yanan Yang ]
  * UP: bus/fslmc: add PCIe pf/vf ID in short FD definition

  [ Nipun Gupta ]
  * PVT: bus/fslmc: support for Core 0 performance
  * PVT: bus/fslmc: affine interrupt for event only in perf mode
  * PVT: bus/fslmc: dpio affinity for virtual m/c using env variable
  * PVT: bus/dpaa: support for Core 0 performance
  * PVT: bus/dpaa: add flag to disable sec devices

  [ Hemant Agrawal ]
  * PVT: net/dpaax: add env for run time configs

  [ Nipun Gupta ]
  * PVT: net/dpaa: errata workaround for LS1043
  * PVT: net/dpaa: add OL Device support

  [ Gagandeep Singh ]
  * UP: net/pfe: Disable HW CRC stripping

  [ Sachin Saxena ]
  * UP: net/pfe: fix for 32 bit and PPC compilation

  [ Akhil Goyal ]
  * UP: crypto/dpaa2_sec: support AES-GMAC

  [ Hemant Agrawal ]
  * UP: crypto/dpaa2_sec: fix GMAC from AUTH to AEAD

  [ Nipun Gupta ]
  * PVT: test/crypto: add test vector for ipsec lookaside offload
  * PVT: nxp: add nxp README folder

  [ Jun Yang ]
  * UP: app/testpmd: support unequal number of RXQ and TXQ

  [ Akhil Goyal ]
  * UP: app/test-crypto-perf: improve dequeue logic

  [ Jun Yang ]
  * UP: examples/l2fwd-event: set dq burst size of internal port

  [ Akhil Goyal ]
  * PVT: examples/l2fwd-crypto: support multiprocess

  [ Hemant Agrawal ]
  * PVT: examples/l2fwd: burst size as a argument

  [ Shreyansh Jain ]
  * PVT: examples/l3fwd: enable per-port bufpool by default

  [ Hemant Agrawal ]
  * PVT: examples/l3fwd: add option for burst size config

  [ Nipun Gupta ]
  * PVT: examples/l3fwd: support for traffic bifurcation

  [ Vanshika Shukla ]
  * UP: net/dpaa2: support IP frag proto and GTP traffic splitting
  * PVT: examples/l3fwd: support splitting of IP frag proto and GTP traffic

  [ Rohit Raj ]
  * UP: net/dpaa2: Add new DPDMUX traffic split case
  * PVT: examples/l3fwd: Add new traffic split usecase for DPAA2

  [ Nipun Gupta ]
  * PVT: examples/l3fwd: support ecpri based flow classification

  [ Hemant Agrawal ]
  * PVT: examples/l3fwd: add support for checking hash value manually

  [ Nipun Gupta ]
  * PVT: examples/cmdif: add CMDIF example
  * PVT: examples/l2fwd-crypto-event: add l2fwd crypto event example
  * PVT: examples/l2fwd-qdma: add l2fwd QDMA example

  [ Rohit Raj ]
  * PVT: examples/pkt_split_app: add packet split example app

  [ Nipun Gupta ]
  * PVT: examples/qdma_demo: add QDMA demo example
  * PVT: examples/symmetric_mp_qdma: add QDMA multiprocess example

  [ Vanshika Shukla ]
  * PVT: app/test-crypto-perf: add latency and throughput graph test for dpaa

  [ Apeksha Gupta ]
  * UP: build: add meson cross-compilation config for i.MX 8M Mini

  [ Vanshika Shukla ]
  * UP: net/dpaa: support Tx confirmation to enable PTP

  [ Nipun Gupta ]
  * PVT: nxp/dynamic_dpl: change the dpdmai queues to 1
  * PVT: nxp/dynamic_dpl: increase number of dpci devices
  * UP: net/dpaa2: fix taildrop configuration macro

  [ Apeksha Gupta ]
  * UP: config/arm: platform added

  [ Brick Yang ]
  * UP: net/dpaa2: Fix DPNI link down issue

  [ Rohit Raj ]
  * UP: net/dpaa2: Add support to use ordered queues with poll mode
  * PVT: l3fwd: Add support to use ordered queues
  * UP: net/dpaa2: Use Rx queue storage per core
  * nxp: Add support to configure OPR count

  [ Gagandeep Singh ]
  * crypto/dpaa_sec: support AES-GMAC
  * net/dpaa2: fix memory corruption in TM

  [ Vanshika Shukla ]
  * UP: net/dpaa: support Rx/Tx timestamp read

  [ Gagandeep Singh ]
  * dma/dpaa: support multi channels

  [ Akhil Goyal ]
  * UP: examples/ipsec-secgw: support GMAC

  [ Rohit Raj ]
  * UP: lib: Introduce a new API rte_bus_close
  * UP: bus/fslmc: add rte_fslmc_close API to close DPAA2 devices
  * UP: examples/multi_process: call bus close API while closing app

  [ Gagandeep Singh ]
  * up: test/crypto: fix lcore in thread launch
  * dma/dpaa: fix job enqueue

  [ Rohit Raj ]
  * nxp/README: Fix hardware flow control command

  [ Gagandeep Singh ]
  * example/qdma_demo: use dma APIs
  * net/dpaa2: support software taildrop
  * UP: test/crypto: add external buffer test case

  [ Rohit Raj ]
  * nxp: Update pkt_split_app README
  * nxp: Update mtu in pkt_split_app command in README

  [ Vanshika Shukla ]
  * nxp/README : Update dpdk-pdump steps
  * UP: dma/dpaa: fix qdma driver and add dpaa_qdma_burst_capacity API
  * UP: app/test-test_dmadev: fix descriptor size

  [ Rohit Raj ]
  * nxp: Add steps to cross compile OVS

  [ Vanshika Shukla ]
  * nxp/README_ptp : Add steps to test ptpclient on DPAA1
  * UP: net/dpaa : support IEEE 1588 PTP

  [ Gagandeep Singh ]
  * net/dpaa: support mempool debug

  [ Rohit Raj ]
  * nxp: Add steps to cross compile dpdk-pdump in README

  [ Vanshika Shukla ]
  * nxp: Add README to run docker in DPDK
  * UP: net/dpaa: Add support to separate Tx conf queues
  * nxp/dpaa: FMC policy file added

  [ Gagandeep Singh ]
  * dpaa2: add qp specific counter APIs
  * UP: crypto/dpaax_sec: improve pdcp code

  [ Nipun Gupta ]
  * PVT: examples/l3fwd: get dpdmux id from environment

  [ Gagandeep Singh ]
  * UP: bus/dpaa: remove unused code
  * PVT: example/l2fwd-crypto-event: fix core configuration

  [ Vanshika Shukla ]
  * bus/fslmc: add dpaa2 i/o portal initialization

  [ Gagandeep Singh ]
  * nxp/README: update README with ipsec-secgw application
  * PVT: examples/pkt_gen_ext: add sample external buffer generator app

  [ Jun Yang ]
  * nxp/dpaa2: Attach the soft parser code
  * nxp/README: DPAA2 flow control update

  [ Gagandeep Singh ]
  * PVT: README: add sample kni command

  [ Nipun Gupta ]
  * bus/dpaa: configure VSP for 1G fm1-mac9/10 correctly

  [ Rohit Raj ]
  * nxp: Add steps to increase MTU of kernel in VSP

  [ Gagandeep Singh ]
  * nxp: update crypto_perf script with more algos

  [ Rohit Raj ]
  * UP: net/tap: Fix max_rx_pktlen for tap interface

  [ Vanshika Shukla ]
  * examples/pkt_split_app: support for traffic bifurcation
  * net/dpaa2: support VLAN traffic splitting

  [ brick ]
  * net/dpaa2: Get TX congestion notification flag

  [ Vanshika Shukla ]
  * examples/pkt_split_app: support for traffic bifurcation for VLAN case
  * PVT: nxp/dynamic_dpl: Restrict the creation of multiple dprtc objects

  [ Rohit Raj ]
  * PVT: nxp: Describe various available fmc policy files
  * Revert "bus/fslmc: add dpaa2 i/o portal initialization"

  [ Hemant Agrawal ]
  * nxp:debug: enhance debug dump

  [ Sachin Saxena ]
  * Kernel: adds igb_uio and integrated in meson env
  * Compiles igb_uio by default when kernel module is enabled
  * config: NXP imx platform support
  * kernel: adds module to mark a page mapping non-cacheable
  * config: adds nxp imx platform support
  * net: Use non-cacheble hugepage mapping on IMX platform
  * Fix copyright issues
  * Fix meson if statement for non imx platform

  [ Gagandeep Singh ]
  * nxp: fix MAC address update in dynamic_dpl.sh

  [ Rohit Raj ]
  * fmc: Fix Fragmented TCP packets route

  [ Gagandeep Singh ]
  * bus/dpaa: fix copyrights

  [ Apeksha Gupta ]
  * dpaa2_sec: Fix FL FMT error

  [ Rohit Raj ]
  * examples/pkt_split_app: Fix coverity Issues

  [ Apeksha Gupta ]
  * UP: raw/skeleton: fix resource leak

  [ Gagandeep Singh ]
  * dma/qdma: Add workaround for ERR050757

  [ Rohit Raj ]
  * nxp: Add various environment variables description
  * net/dpaa2: Change miss flow id macro name

  [ Gagandeep Singh ]
  * PVT: fix copyright issues

  [ Jun Yang ]
  * examples/qdma_demo: Use new API and remove unused API
  * dma/dpaa2: Configure route by port by PCIe port parameter
  * config: Configure RTE_LIBRTE_DPAA2_USE_PHYS_IOVA
  * net/lsxinic: EP PMD support
  * drivers/net: Build inic driver
  * net/lsxinic: RC PMD driver
  * net/lsxinic: EP virtio PMD driver
  * linux/lsxinic: RC kernel driver
  * kernel/linux: Build NXP layerscape inic module
  * net/lsxinic: RC virtio control plane driver
  * net/lsxinic: PCIe raw performance test
  * config: enable RTE_LSINIC_PCIE_RAW_TEST_ENABLE by meson
  * net/dpaa2: Fix recycle queue pair setup
  * net/dpaa2: tx sg pool
  * net/lsxinic: small packets merge
  * linux/lsxinic: Receive merged small packets
  * config: meson configure RTE_LSINIC_PKT_MERGE_ACROSS_PCIE
  * examples/port_fwd: Traffic switch among ports
  * examples: Build port_fwd
  * examples/l1_l2_comm: L1/L2 communication example
  * net/lsxinic: Segmentation offload from RC to EP
  * net/lsxinic: Segmentation offload from EP to RC
  * examples/port_fwd: Segmentation frames support
  * nxp/README_PCIe_EP: Guide to build and run PCIe EP framework
  * net/lsxinic: EP xmit to single queue from multiple threads
  * net/lsxinic: VIRTIO add start status
  * net/lsxinic: VIRTIO Support EP TX BD DMA update with dma dq enabled
  * net/lsxinic: VIRTIO Fix EP TX address DMA read issue
  * net/lsxinic: VIRTIO EP Fix sibling queue issue
  * net/lsxinic: VIRTIO EP TX valid remote address
  * examples/port_fwd: Support TX retry
  * net/lsxinic: VIRTIO Fix address notify align issue
  * net/lsxinic: VIRTIO PCIe memcpy used instead of memcpy
  * net/lsxinic: Fix EP restart issue
  * net/lsxinic: EP fix critical typo

  [ Vanshika Shukla ]
  * net/dpaa2: Add support for DPDMUX_METHOD_C_VLAN_MAC

  [ Jun Yang ]
  * net/lsxinic: Fix queue log issue
  * examples/l1_l2_comm: Fix l1/l2 communication issues:

  [ Xiaofeng Wei ]
  * net/lsxinic: RC xmit to single queue from multiple threads

  [ Jun Yang ]
  * examples/l1_l2_comm: ISC uplink and downlink

  [ Rohit Raj ]
  * examples/qdma_demo: Fix coverity Issues

  [ Jun Yang ]
  * net/lsxinic: Enhance raw PCIe qDMA test
  * nxp/README_PCIe_EP: Enhance DMA/PCIe raw test
  * net/lsxinic: HW offload port sanity check in statistics function

  [ Gagandeep Singh ]
  * dma/dpaa: fix qdma stall issue due to ERRATA A-050265

  [ brick ]
  * net/dpaa2: fix l3/l4 csum results in packet parse

  [ Gagandeep Singh ]
  * nxp/readme: update boot commands for ls1028ardb

  [ Jun Yang ]
  * net/lsxinic: VIO enable SG as default
  * net/lsxinic: Align with 19.11 rev
  * net/lsxinic: txq qdma bd update
  * net/lsxinic: RC to EP BD DMA update (EP side)
  * net/lsxinic: EP RX index confirm by RC queue register
  * net/lsxinic: RC to EP BD DMA update (RC side)
  * net/lsxinic: RXQ dma response enable with fast mode
  * net/lsxinic: ISR controlled by RC
  * linux/lsxinic: Enable ISR in kernel driver
  * net/lsxinic: EP reads dst address in RC by qDMA
  * net/lsxinic: Fix txq loop issue
  * linux/lsxinic: Fix typo of count(merged packets)
  * buildtools: Remove class_id from rte_pci_id
  * net/lsxinic: Default data path settings
  * linux/lsxinic: Fix RX merged frames
  * nxp/README_PCIe_EP: Simplify running steps

  [ Gagandeep Singh ]
  * UP: drivers/event: remove not supported queue delete code
  * example/ipsec-secgw: add spinlock for session create

  [ Akhil Goyal ]
  * PVT: examples/ipsec-secgw: add crypto adapter

  [ Rohit Raj ]
  * fix readme
  * nxp: Update steps to compile OVS

  [ Apeksha Gupta ]
  * dpaa2_sec: Fix FL FMT errors
  * net: fix crash occurs on RX direction
  * nxp/README: add i.MX93 setup commands

  [ Gagandeep Singh ]
  * common/dpaax: update IPsec base descriptor length

  [ Sachin Saxena ]
  * mempool: cache free optimization

  [ Gagandeep Singh ]
  * nxp: update boot steps for imx93 and imx8MP

  [ Vanshika Shukla ]
  * net/dpaa: fix reallocate_mbuf handling

  [ Jun Yang ]
  * bus/fslmc: Get MC VFIO group fd directly
  * bus/fslmc: Fix MC VFIO mp issue
  * examples/port_fwd: Support pdump
  * examples/port_fwd: EAL cleanup

  [ Vanshika Shukla ]
  * nxp/README_ERRATA_LS1043_IPfrag: Add README for the ERRATA avoidance algo

  [ Sachin Saxena ]
  * Fix DPDMUX error behavior settings

  [ Gagandeep Singh ]
  * LICENSE: add BSD-3-clause LICENSE in base directory
  * net/dpaa: fix dpaa cleanup

  [ Apeksha Gupta ]
  * nxp/README: Update i.MX8MP setup commands

  [ Hemant Agrawal ]
  * adding SCR file to dpdk

  [ Jun Yang ]
  * nxp/README_PCIe_EP: Use IOVA build configuration
  * nxp/README_PCIe_EP: Support VFIO RC driver

  [ Vanshika Shukla ]
  * lib/ip_frag: ERRATA_LS1043_A010022 handling

  [ Jun Yang ]
  * dma/dpaa2: Support multiple HW queues
  * dma/dpaa2: Adapt DMA driver API
  * dma/dpaa2: Multiple process support

  [ Gagandeep Singh ]
  * dma/dpaa: improve qdma code
  * dma/dpaa: data path optimization

  [ Jun Yang ]
  * net/dpaa2: Flow API refactor
  * net/dpaa2: Enhancement of raw flow
  * net/dpaa2: Dump RX parser result
  * net/dpaa2: Frame attribute flags parser
  * net/dpaa2: VXLan distribution support
  * net/dpaa2: Protocol inside tunnel distribution
  * net/dpaa2: ECPRI header and message dump

  [ Vinod Pullabhatla ]
  * net/dpaa: add tx rate limiting DPAA PMD API

  [ Rohit Raj ]
  * Update DPDK version in SCR file
  * dpaa: Add OH port driver
  * dpaa: Add ONIC port driver
  * nxp: Add readme to use ONIC ports
  * nxp: Fix fm1-mac10 VSP only crash

  [ Vanshika Shukla ]
  * nxp/README: Add ip-fragmentation and reassembly steps

  [ Rohit Raj ]
  * net/dpaa2: Fix link duplex value for ethernet interfaces

  [ Jun Yang ]
  * net/dpaa2: ECPRI support by parser result

  [ Rohit Raj ]
  * bus/fslmc: Check group_name length
  * bus/fslmc: Free vfio_group_fd in case of add group failure
  * bus/fslmc: Free group fd in case it is 0.
  * net/dpaa: Avoid typecasting ch_id to u32
  * nxp/dpaa2: Fix steps in dpaa2 flow control README
  * linux/lsxinic: Remove lsxinic driver completely from DPDK
  * igb_uio: Fix igb_uio compilation with 6.1 kernel
  * kni: Remove kni driver and module completely from DPDK
  * nxp: Remove build dpdk script
  * config: Fix copyright
  * net/lsxinic: Revert lsxinic remaining driver patches

  [ Gagandeep Singh ]
  * bus/dpaa: fix bus scan for dma devices

  [ Rohit Raj ]
  * bus/fslmc: Change qbman_eq_desc from d to desc
  * bus/fslmc: Fix coverity Issues
  * UP: net/dpaa: Fix errorcode being passed in strerror

  [ Hemant Agrawal ]
  * net/dpaa2: Add support to dump dpdmux counters

  [ Rohit Raj ]
  * net/dpaa2: Fix coverity issue

  [ Vanshika Shukla ]
  * net/dpaa2: fix TX Confirmation logic

  [ Gagandeep Singh ]
  * net/enetc: support ESP packet type in packet parsing
  * common/dpaax: fix iova table cleanup
  * crypto/caam_jr: fix cleanup issues
  * ppfe: remove ppfe driver support

  [ Sachin Saxena ]
  * Using system() is a bad idea in driver code because it introduces a number of potential security issues. The codeql analysis tool flags this a potential security issue.
  * Fix garbage value in affining dpio interrupt
  * Replacing chrt command with sched_setscheduler API.

  [ Gagandeep Singh ]
  * PVT: DPAA: support multiple mempools on an interface

  [ Apeksha Gupta ]
  * nxp/README: Command update for i.mx platforms.

  [ Vanshika Shukla ]
  * nxp/README_pkt_split_app_demo: Update documentation

  [ Gagandeep Singh ]
  * examples: fix type cast warnings
  * fix legal issues
  * example/pkt_gen_ext: fix virtual to IOVA conversion

  [ Vanshika Shukla ]
  * nxp/README_pkt_split_app_demo: Update documentation

  [ Gagandeep Singh ]
  * example/ipsec-secgw: fix multiple devices support

  [ Apeksha Gupta ]
  * nxp: update boot steps for imx8MM

  [ Vanshika Shukla ]
  * examples/pkt_split_app: Update classification info

  [ Rohit Raj ]
  * nxp: Update l3fwd event commands

  [ Apeksha Gupta ]
  * UP: config/arm: platform added
  * config/arm: remove unused config file

  [ Gagandeep Singh ]
  * dpaa_sec: change shared mode to wait in shared descriptor

  [ Hemant Agrawal ]
  * net/dpaa: add port bmi stats

  [ Gagandeep Singh ]
  * bus/dpaa: fix outside array bounds error with GCC v13
  * bus/dpaa: fix undefined reference error

  [ Vanshika Shukla ]
  * net/enetqos: Enable enet-QOS functionality
  * nxp/README: Add documentation for ENET-QOS
  * build: enable non-cacheable module for all platforms

  [ Gagandeep Singh ]
  * dpaax/caamflib: fix legal issues
  * kni: remove kni stale code

  [ Apeksha Gupta ]
  * examples/l3fwd: Fix coverity issue
  * net/dpaa: Fix coverity issue
  * bus/fslmc/portal: Fix coverity issue
  * net/dpaa2: Fix coverity Issues
  * net/dpaa2: Fix coverity Issues
  * drivers/baseband/la12xx: Fix coverity Issues
  * drivers/common/dpaax: Fix coverity Issues
  * examples/qdma_demo: Fix coverity Issues

  [ Rohit Raj ]
  * baseband/la12xx: set return value

  [ Vanshika Shukla ]
  * crypto/dpaa2_sec: Fix coverity Issues

  [ Apeksha Gupta ]
  * drivers/bus/dpaa: Fix coverity issue

  [ Vanshika Shukla ]
  * net/enetqos: rework enetqos driver code

  [ Gagandeep Singh ]
  * Revert "net/enetqos: rework enetqos driver code"
  * Revert "net/enetqos: Enable enet-QOS functionality"
  * Revert "nxp/README: Add documentation for ENET-QOS"

  [ Vanshika Shukla ]
  * nxp/README_DPSW: Add README for DPDK with DPSW
  * build: Disable the kpage_ncache module

  [ Varun Sethi ]
  * dpaax/caamflib: fix PDCP AES-AES watchdog DECO error

  [ Sachin Saxena ]
  * Fix compilation warnings

  [ Hemant Agrawal ]
  * test/crypto: fix return value for GMAC testcase
  * mempool: reduce carriage return from the print
  * improving debug prints
  * crypto/dpaa_sec: supporting null cipher and auth
  * crypto/dpaa2_sec: support copy df and dscp in proto offload
  * crypto/dpaa2_sec: increase the anti replay window size
  * crypto/dpaa2_sec: adding session update api support
  * crypto/dpaa2_sec: enable esn support
  * crypto/dpaa2_sec: increasing ivsize range for AES-CTR
  * cyrpto/dpaax_sec: improve unsupported error logs
  * crypto/dpaa2_sec: enabled sha2-224 for ipsec cases
  * crypto/dpaa2_sec: supporting null cipher and auth
  * nxp/crypto-perf-test: change log level to 6
  * adding pkt_gen_ext, l2fwd-qdma and bbdev_raw_app

  [ Apeksha Gupta ]
  * nxp/README_qdma_demo: l2fwd-qdma is not supported

  [ Gagandeep Singh ]
  * la12xx: ported baseband driver and application from 19.11

  [ Hemant Agrawal ]
  * add missing rte_bbuf.h

  [ Gagandeep Singh ]
  * baseband: fix baseband compilation
  * lib/bbdev: fix polar encode/decode operations
  * bbdev_raw_app: support bbdev_raw_app for bbdev operations
  * vspa: add vspa install script

  [ Vanshika Shukla ]
  * net/enetqos: Enable enet-QOS functionality
  * nxp/README: Add documentation for ENET-QOS

  [ Gagandeep Singh ]
  * eal: support socket based memory

  [ Vanshika Shukla ]
  * nxp/README: Update README for enet-fec and enet-qos

  [ Gagandeep Singh ]
  * config/arm: remove CONFIG_ prefix
  * dpaax/caamflib: fix PDCP-SDAP watchdog DECO error
  * mc: sync with MC version 10.37
  * crypto: fix copyrights

  [ Rohit Raj ]
  * nxp: Add steps to run l2fwd-event in README

  [ Vanshika Shukla ]
  * nxp/README: Add kpage_ncache module steps for enet-qos

  [ Apeksha Gupta ]
  * Fix compilation warnings: - mc - enetqos: error handling & order local variable declarations from longest 	   to shortest line, also know as Reverse Christmas Tree Format. - examples/pkt_gen_ext_mem - baseband driver fix is in reference to commit e70212cc240

  [ Gagandeep Singh ]
  * baseband/la12xx: fix vspa operation
  * SCR: update release location

  [ Vanshika Shukla ]
  * net/enetqos: Fix BD memory allocation
  * nxp/README: Update README for better user clarity

  [ Rohit Raj ]
  * net/enetqos: Allocate string when needed
  * net/enetqos: Allocate and set DMA config properly
  * net/dpaa2: Fix masks and keys handling
  * net/enetfec: Add failure for multi queue

  [ Apeksha Gupta ]
  * kernel: remove igb_uio and kpage

  [ Marcin Wcisło ]
  * Debian packaging
  * Added cross-compilation definition
  * "platform" set to dpaa
  * Fixed meson.cross path
  * Disabled -mcpu checking
  * Disabled optimizations

 -- MAINTAINER <marcin.wcislo@conclusive.pl>  Fri, 14 Jun 2024 23:27:21 +0200
